/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.gui.widgets.FloatSubRangeSlider;

/**
 *
 ** @author Krzysztof S. Nowinski, University of Warsaw ICM
 */
public class TestFrame extends javax.swing.JFrame
{

    /**
     * Creates new form TestFrame
     */
    public TestFrame()
    {
        initComponents();
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {
        java.awt.GridBagConstraints gridBagConstraints;

        floatSubRangeSlider1 = new org.visnow.vn.gui.widgets.FloatSubRangeSlider.FloatSubRangeSlider();
        subRangeSlider1 = new org.visnow.vn.gui.widgets.SubRangeSlider.SubRangeSlider();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(new java.awt.GridBagLayout());

        floatSubRangeSlider1.setFont(new java.awt.Font("Dialog", 0, 8)); // NOI18N
        floatSubRangeSlider1.setMinimumSize(new java.awt.Dimension(60, 26));
        floatSubRangeSlider1.setName("floatSubRangeSlider1"); // NOI18N
        floatSubRangeSlider1.setPaintLabels(true);
        floatSubRangeSlider1.setPaintTicks(true);
        floatSubRangeSlider1.setPreferredSize(new java.awt.Dimension(200, 36));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(floatSubRangeSlider1, gridBagConstraints);

        subRangeSlider1.setFont(new java.awt.Font("Dialog", 0, 8)); // NOI18N
        subRangeSlider1.setMinimumSize(new java.awt.Dimension(60, 20));
        subRangeSlider1.setName("subRangeSlider1"); // NOI18N
        subRangeSlider1.setPaintLabels(true);
        subRangeSlider1.setPaintTicks(true);
        subRangeSlider1.setPreferredSize(new java.awt.Dimension(200, 36));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(subRangeSlider1, gridBagConstraints);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        java.awt.EventQueue.invokeLater(new Runnable()
        {
            public void run()
            {
                new TestFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected org.visnow.vn.gui.widgets.FloatSubRangeSlider.FloatSubRangeSlider floatSubRangeSlider1;
    protected org.visnow.vn.gui.widgets.SubRangeSlider.SubRangeSlider subRangeSlider1;
    // End of variables declaration//GEN-END:variables

}
